Skip to main content

public/get-ticker-histories

GET 

/public/get-ticker-histories

Returns historical bid/ask/last price snapshots for one or more instruments.

Request

Query Parameters

    instrument_names stringrequired

    Comma-separated list of instrument symbols. Maximum 20.

    start_ts int64

    Start of time range (epoch ms, inclusive).

    end_ts int64

    End of time range (epoch ms, inclusive).

    count int32

    Maximum number of records to return.

Success.
Schema
    id int64

    Original request identifier

    method string

    Method name

    code int32

    0 for success; error code otherwise

    message string

    Error message for non-zero codes

    result object
    data object[]
    List of ticker history snapshots ordered by timestamp.
  • Array [
  • i string

    Instrument name

    t int64

    Timestamp (epoch ms)

    b stringnullable

    Best bid price

    k stringnullable

    Best ask price

    a stringnullable

    Last traded price

  • ]